Subject: Re: Unresolved issues #3

From: A Large Angry SCM <[email-masked]>
Date: Fri, 18 Aug 2006 07:56:34 -0700

Nicolas Pitre wrote:
> On Thu, 17 Aug 2006, A Large Angry SCM wrote:
...
>>
>> 1) I disagree with Nico's assessment that, other than his, there can not
>> exist any type 2 packs that have bit 6 set to mean copy from result.
> 
> Care to explain why?
> 
> Since this code is mine I can tell you that no official GIT version ever 
                                              ^^^^^^^^^^^^^^^^^^^^^^^
> produced such a pack.  The code to make use of that bit was quite 
> involving and the end result wasn't great at all so I never published 
> said code.  This is also why current GIT accepts both pack version 2 and 
> 3 without any distinction using the same code in patch-delta.c on the 
> basis that no version 2 packs ever used that bit.

That doesn't prove the non-existence of other code to do it.